Bug 23307 - virtual vector VECTOR_DIAG cleanup
Summary: virtual vector VECTOR_DIAG cleanup
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: HAL (Show other bugs)
(Show other bugs)
Version: CVS
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-04 14:33 UTC by Jesper Skov
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 15:47:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-01-04 14:33:54 UTC
There was some discussion of getting rid of the old diag output method
altogether, relying solely on the vector/comm tables for consistency.

However, implementations weren't cleaned up and still have the hardwired
magic to do hal_diag output without the tables - some of the
implementations even being broken in this regard as it was never tested.

Should confirm on the mailing list that this is what we want, and then
clean out the cruft and update the porting guide as well (if necessary).

Comment 1 Jesper Skov 2001-01-04 14:35:33 UTC
Incidently, this would also fix a doc shortcoming - switching channels only
work with VECTOR_DIAG (i.e., vector/comm tables) and not if the diag output has
been hardwired as it happens in the compatibility code.


Comment 2 Alex Schuilenburg 2003-06-20 15:47:50 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id>23307


Note You need to log in before you can comment on or make changes to this bug.